Skip to content
Permalink
Browse files

Remove deprecated RxJava 1.0 code

  • Loading branch information...
npurushe committed Apr 24, 2018
1 parent eb8bd9e commit 496d04058a44ab5b6877974bdb118695a080d686
@@ -144,8 +144,6 @@ public interface Person {

**[RxJava](https://github.com/ReactiveX/RxJava) [Observables](http://reactivex.io/documentation/observable.html):**

Supports both RxJava 1.0 and 2.0. (RxJava 2.0 examples shown)

```java
Observable<Person> observable = data
.select(Person.class)
@@ -274,9 +272,9 @@ repositories {
}
dependencies {
compile 'io.requery:requery:1.5.0'
compile 'io.requery:requery-android:1.5.0' // for android
annotationProcessor 'io.requery:requery-processor:1.5.0'
compile 'io.requery:requery:1.5.1'
compile 'io.requery:requery-android:1.5.1' // for android
annotationProcessor 'io.requery:requery-processor:1.5.1'
}
```

@@ -285,7 +283,7 @@ For information on gradle and annotation processing & gradle see the [wiki](http
License
-------

Copyright (C) 2017 requery.io
Copyright (C) 2018 requery.io

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
@@ -7,7 +7,6 @@ buildscript {
ext.jackson_version = '2.8.6'
ext.jpa_version = '2.1.1'
ext.kotlin_version = '1.2.20'
ext.rxjava_version = '1.3.0'
ext.rxjava2_version = '2.1.9'
ext.reactor_version = '3.1.4.RELEASE'
repositories {
@@ -4,7 +4,6 @@ apply plugin: "kotlin"
dependencies {
compile project(':requery')
compile "org.jetbrains.kotlin:kotlin-stdlib:$kotlin_version"
compileOnly "io.reactivex:rxjava:$rxjava_version"
compileOnly "io.reactivex.rxjava2:rxjava:$rxjava2_version"
compileOnly "io.projectreactor:reactor-core:$reactor_version"
}

This file was deleted.

Oops, something went wrong.
@@ -21,7 +21,6 @@ dependencies {
testCompile project(':requery-jackson')
apt project(':requery-processor')
compile fileTree(include: ['*.jar'], dir: 'libs') // for Oracle JDBC drivers
compile "io.reactivex:rxjava:$rxjava_version"
compile "io.reactivex.rxjava2:rxjava:$rxjava2_version"
testCompile "io.projectreactor:reactor-core:$reactor_version"
compile "org.eclipse.persistence:javax.persistence:$jpa_version"
Oops, something went wrong.

0 comments on commit 496d040

Please sign in to comment.
You can’t perform that action at this time.
You signed in with another tab or window. Reload to refresh your session. You signed out in another tab or window. Reload to refresh your session.